import { useCallback, useState } from "react"
import type { Vault, OnePassword } from "opvault.js"
import { VaultView } from "./pages/Vault"
import { VaultPicker } from "./pages/VaultPicker"

export const App: React.FC = () => {
  const [instance, setInstance] = useState<OnePassword>()
  const [vault, setVault] = useState<Vault>()

  const onLock = useCallback(() => {
    vault?.lock()
    setVault(undefined)
  }, [vault])

  if (!vault) {
    return (
      <VaultPicker
        instance={instance}
        setInstance={setInstance}
        vault={vault}
        setVault={setVault}
      />
    )
  }

  return (
    <div>
      <VaultView onLock={onLock} vault={vault} />
    </div>
  )
}
